Database - Feature #6450

buffer/buffer-field features
05/27/2022 09:56 AM - Eric Faulhaber

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Ovidiu Maxiniuc % Done: 100%
Category: Estimated time: 0.00 hour

Target version:

billable: No version:
vendor_id: GCD

Description

History

#1 - 05/27/2022 10:00 AM - Eric Faulhaber

We need to add support for the following (according to gap marking):

e BUFFER handle usage

o PRIMARY attribute (marked runtime stubs)

o BUFFER-VALIDATE() method (marked none/untested - seems to be mismarked, support looks to be full/full)
e BUFFER-FIELD handle usage

o KEY attribute (marked runtime stubs)

o PRIMARY attribute (marked none/none)

o DECIMALS attribute (marked runtime stubs)

o KEY attribute (marked runtimestubs)

#3 - 06/24/2022 09:25 AM - Greg Shah

When implementing the runtime support for buffer-handle:PRIMARY, consider supporting temp-table-handle:PRIMARY if it can be implemented with
little effort.

#4 - 06/27/2022 11:08 AM - Ovidiu Maxiniuc
- % Done changed from 0 to 30
- Status changed from New to WIP

- Assignee set to Ovidiu Maxiniuc

| have implementation of some of the above attributes/methods as a pending changeset for 6129a.

#5 - 07/04/2022 04:48 PM - Eric Faulhaber

Ovidiu Maxiniuc wrote:

| have implementation of some of the above attributes/methods as a pending changeset for 6129a.

What is blocking your changes from being committed?
What is left after that? | was going to assign this to Stanislav, unless you are nearly finished. I'm assuming not, since you marked it 30% done.

#6 - 07/04/2022 06:56 PM - Ovidiu Maxiniuc

Eric Faulhaber wrote:

What is blocking your changes from being committed?

| am waiting for Constantin's green light #6502-9 /10 / 14.

What is left after that? | was going to assign this to Stanislav, unless you are nearly finished. I'm assuming not, since you marked it 30% done.

Status with my uncommitted changeset:

BUFFER-FIELD:KEY: 100% conversion + runtime;

e BUFFER & TEMP-TABLE:PRIMARY: 100% conversion + runtime getter (missing setter support). The TEMP-TABLE delegates the calls to
default buffer, in all cases. There is no such attribute for BUFFER-FIELD;

BUFFER:BUFFER-VALIDATE() method is, indeed, 100% supported conversion + runtime. The gap must be updated;
BUFFER-FIELD:DECIMALS also 100% supported conversion + runtime. | guess the gap must be updated;

¢ | guess the second KEY is in fact, KEYS. This is already implemented for BUFFER and DATA-SOURCE.

#7 - 07/04/2022 07:10 PM - Eric Faulhaber

Thanks, Ovidiu. Please update the incorrect gap markings as part of your commit.

Constantin, it's been a few weeks with #6502. Have you had a chance to do the testing you wanted to do? I'd like to get Ovidiu's changes into 6129a,
if you think it's ok.

#8 - 07/05/2022 01:40 AM - Constantin Asofiei

Ovidiu, please upload #6502 and #6450 as a patch and I'll test conversion on my side.

Sorry, | thought | already mentioned this in #6502.

#9 - 07/05/2022 02:37 PM - Ovidiu Maxiniuc
- Status changed from WIP to Review

- % Done changed from 30 to 100

The zipped patch was uploaded in #6502-15.

Constantin, please do the necessary review, when you have the time. Thank you!
#10 - 08/12/2022 10:47 AM - Eric Faulhaber

Ovidiu, | see there was a review cycle in #6502 and a commit of your changes to 6129a. Given that, is there anything left to do here, or can this be
considered complete? What testing has been done? It looks like the gap markings mentioned in #6450-6 have been corrected in that commit, is that
right? Thanks.

#11 - 08/12/2022 04:22 PM - Ovidiu Maxiniuc

| did not work with 6129a lately so | had to update the branch and review those changes. Constantin did the rebase against 3821c and, beside
increasing the revision numbers, bzr got confused and reported a lot of conflicts.

Eric Faulhaber wrote:

Ovidiu, | see there was a review cycle in #6502 and a commit of your changes to 6129a. Given that, is there anything left to do here, or can this
be considered complete?

Yes, | think the answer is positive.

What testing has been done?

| used my isolated testcases based on reference information. However, testing in real-live projects have not been done since these methods/attributes
are implemented here for the first time. With the exception of BUFFER-VALIDATE().

It looks like the gap markings mentioned in #6450-6 have been corrected in that commit, is that right? Thanks.

It seems that the gap for BUFFER-VALIDATE() was not updated. | will do that in 3821¢ and, with next rebase, 6129a will inherit it naturally.

#12 - 11/18/2022 10:50 AM - Eric Faulhaber

Can this be closed?

#13 - 11/18/2022 01:59 PM - Ovidiu Maxiniuc

Yes, | think so.
Note that, unlike #6444 (where the changes were committed to 3821c), this task uses 6129a/b.
#14 - 11/18/2022 05:51 PM - Eric Faulhaber

- Status changed from Review to Closed
